/**
 * \file SAD_record.cc
 * \author Scott F. H. Kaplan <sfkaplan@cs.amherst.edu>
 * \date January 2003
 * \brief The header for the SAD_record class.
 *
 * This file defines the SAD_record methods.
 **/



// ===================================================================
// INCLUDES

#include <assert.h>
#include <stdio.h>
#include "SAD_record.hh"
// ===================================================================



// ===================================================================
// Default constructor.
SAD_record::SAD_record () {

  tag = 0;
  dirtying = false;
  cycle_timestamp = 0;
  instruction_timestamp = 0;
  reference_timestamp = 0;
  page.context_ID = 0;
  page.page_ID = 0;

} // SAD_record::SAD_record
// ===================================================================



// ===================================================================
bool
SAD_record::is_same_page (const SAD_record& other_record) const {

  return (page == other_record.page);

} // SAD_record::is_same_page
// ===================================================================



// ===================================================================
void
SAD_record::transfer_dirtiness_from (const SAD_record& source_record) {

  // Ensure that this record and the source record refer to the same
  // page.
  assert(is_same_page(source_record));
  dirtying = (dirtying || source_record.dirtying);

} // SAD_record::update_with_old_touch
// ===================================================================
