#! /bin/tcsh -f

if (${#argv} != 1) then

    echo "Usage: $0 <reduction memory size (pages)>"
    exit

endif

set reductionMemorySize = ${argv[1]}

set handler = ${HOME}/research/laplace/reference-handlers/${HOSTTYPE}/page-level-reduction
set outputDirectory = ./page-reduced-output

echo "Removing old pipes..."
rm -f kernel-trace reference-trace

echo "Making new pipes..."
mkfifo kernel-trace reference-trace

echo "Making/clearing output directory..."
mkdir -p ${outputDirectory}
rm -rf ${outputDirectory}/*

echo "Creating handler process..."
${handler} reference-trace \
	   kernel-trace \
	   ${outputDirectory} \
	   ${reductionMemorySize}

echo "DONE"

